Create a policy
curl --request POST \
--url https://api.example.com/v1/policies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "PII Detection",
"enabled": true,
"yaml": "guardrail: pii\naction: redact"
}
'import requests
url = "https://api.example.com/v1/policies"
payload = {
"name": "PII Detection",
"enabled": True,
"yaml": "guardrail: pii
action: redact"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'PII Detection', enabled: true, yaml: 'guardrail: pii\naction: redact'})
};
fetch('https://api.example.com/v1/policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Policies
Create Policy
POST
/
v1
/
policies
Create a policy
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
201 - undefined
⌘I